List Batch Jobs
Batch Operations
List Batch Jobs
Retrieves all batch jobs for a business with pagination.
GET
List Batch Jobs
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
Pagination cursor
Number of results per page (Default: 20)
Optional batch type to filter by. If not provided, returns all batch types.
Available options:
PARTNER_RESOURCE_JSON_INGEST, PARTNER_RESOURCE_BATCH_DELETE, PARTNER_RESOURCE_BATCH_PATCH Optional field to sort by. Defaults to createdAt.
Available options:
createdAt, startedAt, completedAt Optional sort direction. Defaults to desc.
Available options:
asc, desc Whether to include detailed information about pending resources and their dependencies
Available options:
true, false Whether to only return batches that have pending resources (filters by pendingRecords > 0)
Available options:
true, false